<?php

/**
 * @package     Prieco.Modules
 * @subpackage  mod_cbrandomuser - This module shows a random user avatar.
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

if (!(defined('_VALID_CB') || defined('_JEXEC') || defined('_VALID_MOS')))
{
	die('Direct Access to this location is not allowed.');
}

/**
 * CB framework
 * @global CBframework $_CB_framework
 */
global $_CB_framework, $_CB_database, $ueConfig, $mainframe;

if (defined('JPATH_ADMINISTRATOR'))
{
	if (!file_exists(JPATH_ADMINISTRATOR . '/components/com_comprofiler/plugin.foundation.php'))
	{
		echo 'CB not installed';

		return;
	}

	include_once JPATH_ADMINISTRATOR . '/components/com_comprofiler/plugin.foundation.php';
}
else
{
	if (!file_exists($mainframe->getCfg('absolute_path') . '/administrator/components/com_comprofiler/plugin.foundation.php'))
	{
		echo 'CB not installed';

		return;
	}

	include_once $mainframe->getCfg('absolute_path') . '/administrator/components/com_comprofiler/plugin.foundation.php';
}

cbimport('cb.database');
cbimport('language.front');

// Include the syndicate functions only once
require_once dirname(__FILE__) . '/helper.php';


// Random interval; realised with joomla caching

$version = new JVersion;

if (version_compare($version->getShortVersion(), '1.7', '>='))
{
	// Joomla 1.7 or higher: interval is now in minutes!
	$random_interval = (int) $params->get('random_interval', 0);
}
else
{
	// Minutes to seconds
	$random_interval = (int) $params->get('random_interval', 0) * 60;
}

if (0 < $random_interval)
{
	$cache =& JFactory::getCache('CBRandomUser');
	$cache->setCaching(true);
	$cache->setLifeTime($random_interval);
	$randuser = $cache->get(array('modcbrandomuserHelper', 'getRandomUser'), array ($params));
}
else
{
	$randuser = ModcbrandomuserHelper::getRandomUser($params);
}

require JModuleHelper::getLayoutPath('mod_cbrandomuser');
